// mmcQueue.h: interface for the mmcQueue class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MMCQUEUE_H__80AEA051_6658_4572_BE20_67777C2D7A90__INCLUDED_)
#define AFX_MMCQUEUE_H__80AEA051_6658_4572_BE20_67777C2D7A90__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class mmcQueue  
{
private:
	double ArrivalRate;
	double ServiceRate;
	int NumServers;
	char *ID;
	double Utilization;
	double NumInQueue;
	double NumInSystem;
	double TimeInQueue;
	double TimeInSystem;
	double p0;
	bool Stable;
public:
	mmcQueue();
	mmcQueue(char *name, double lambda, double mu, int c);
	void show();
	void calc();
	bool isStable() {return Stable;};
	virtual ~mmcQueue();

};

#endif // !defined(AFX_MMCQUEUE_H__80AEA051_6658_4572_BE20_67777C2D7A90__INCLUDED_)
